//////////////////////////////////////////
// EZImage.cpp
//Copyright (c) 03/01/2021 by BCCSkelton
//////////////////////////////////////////
#include	"EZImage.h"
#include	"User.h"
#include	"EZImageProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//データファイル付きで起動する場合（ByFileフラグを立てる）
	if(arg.c() > 1) {
		g_ByFile = TRUE;
	}

	//２重起動防止
	if(!EZImage.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", "EZImage");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	EZImage.Init("MainWnd", hInstance, SDIPROC, "IDM_MAINMENU", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!EZImage.Create("EZImage"))
		return 0L;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	EZImage.InclAccel("IDA_ACCEL");

	//メッセージループに入る
	return EZImage.Loop();
}
